/**
 * Class containing several properties which are used as parameters passed to scaling operations in a SeriesViewer.
*/
var ScalerParams = /** @class */ (function () {
    function ScalerParams() {
    }
    Object.defineProperty(ScalerParams.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    ScalerParams.prototype.onImplementationCreated = function () {
    };
    ScalerParams.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(ScalerParams.prototype, "referenceValue", {
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = +v;
        },
        enumerable: true,
        configurable: true
    });
    return ScalerParams;
}());
export { ScalerParams };
